### org.jfree.layouting.input.style.parser

# Class CSSValueFactory

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.CSSValueFactory`

`public class CSSValueFactory`
`extends java.lang.Object`

Creation-Date: 25.11.2005, 17:43:38

Author:
  Thomas Morgner

  ## Field Summary

  `static String`

  `COMPOUND_PREFIX`

  `static String`

  `SIMPLE_PREFIX`

  ## Constructor Summary

  `CSSValueFactory(StyleKeyRegistry registry)`

  ## Method Summary

  `static CSSNumericValue`

  `createLengthValue(LexicalUnit value)`

  `static CSSNumericValue`

  `createNumericValue(LexicalUnit value)`

  `static CSSStringValue`

  `createUriValue(LexicalUnit value)`

  `static boolean`

  `isFunctionValue(LexicalUnit unit)`

  `static boolean`

  `isLengthValue(LexicalUnit value)`

  `static boolean`

  `isNumericValue(LexicalUnit value)`

  `static CSSAttrFunction`

  `parseAttrFunction(LexicalUnit unit)`

  `static LexicalUnit`

  `parseComma(LexicalUnit value)`

  `static CSSFunctionValue`

  `parseFunction(LexicalUnit unit)`

  `void`

  `parseValue(CSSDeclarationRule rule, String name, LexicalUnit value, boolean important)`

  `void`

  `registerDefaults()`

## Field Details

### COMPOUND_PREFIX

    public static final String COMPOUND_PREFIX

### SIMPLE_PREFIX

    public static final String SIMPLE_PREFIX

## Constructor Details

### CSSValueFactory

    public CSSValueFactory(StyleKeyRegistry registry)

## Method Details

### createLengthValue

    public static CSSNumericValue createLengthValue(LexicalUnit value)

### createNumericValue

    public static CSSNumericValue createNumericValue(LexicalUnit value)

### createUriValue

    public static CSSStringValue createUriValue(LexicalUnit value)

### isFunctionValue

    public static boolean isFunctionValue(LexicalUnit unit)

### isLengthValue

    public static boolean isLengthValue(LexicalUnit value)

### isNumericValue

    public static boolean isNumericValue(LexicalUnit value)

### parseAttrFunction

    public static CSSAttrFunction parseAttrFunction(LexicalUnit unit)

### parseComma

    public static LexicalUnit parseComma(LexicalUnit value)

### parseFunction

    public static CSSFunctionValue parseFunction(LexicalUnit unit)

### parseValue

    public void parseValue(CSSDeclarationRule rule,
                           String name,
                           LexicalUnit value,
                           boolean important)
                throws CSSParserFactoryException

### registerDefaults

    public void registerDefaults()